https://pulumi.com logo
#general
Title
# general
i

important-leather-28796

05/17/2019, 6:31 PM
Trying to update cert-manager to 0.7.2 from the raw yml from 0.7.0, has anyone else encountered:
Copy code
Diagnostics:
  kubernetes:<http://apiextensions.k8s.io:CustomResourceDefinition|apiextensions.k8s.io:CustomResourceDefinition> (<http://certificates.certmanager.k8s.io|certificates.certmanager.k8s.io>):
    error: Plan apply failed: 1 error occurred:
        * expected kind, but got map
 
  kubernetes:<http://apiextensions.k8s.io:CustomResourceDefinition|apiextensions.k8s.io:CustomResourceDefinition> (<http://clusterissuers.certmanager.k8s.io|clusterissuers.certmanager.k8s.io>):
    error: Plan apply failed: 1 error occurred:
        * expected kind, but got map
 
  kubernetes:<http://apiextensions.k8s.io:CustomResourceDefinition|apiextensions.k8s.io:CustomResourceDefinition> (<http://issuers.certmanager.k8s.io|issuers.certmanager.k8s.io>):
    error: Plan apply failed: 1 error occurred:
        * expected kind, but got map
https://raw.githubusercontent.com/jetstack/cert-manager/release-0.7/deploy/manifests/cert-manager.yaml
using:
Copy code
const certManager = new k8s.yaml.ConfigFile(
      '<https://raw.githubusercontent.com/jetstack/cert-manager/release-0.7.2/deploy/manifests/cert-manager.yaml>',
      undefined,
      { parent: this },
    )
f

fierce-dinner-20116

05/17/2019, 6:53 PM
It would be helpful if you could file an issue with a repro on pulumi-kubernetes
i

important-leather-28796

05/17/2019, 7:09 PM
c

creamy-potato-29402

05/17/2019, 7:25 PM
thanks @important-leather-28796